--- layout: api title: "v2.1.0 JavaScript Library: L.PolyUtil" categories: api version: v2.1.0 permalink: /api/v2.1.0/l-polyutil ---

## PolyUtil

Various utility functions for polygon geometries.

### Methods

Method | Returns | Description
--- | --- | ---
`clipPolygon( <Point[]> points, <Bounds> bounds )` | `Point[]` | Clips the polygon geometry defined by the given points by rectangular bounds. Used by Leaflet to only show polygon points that are on the screen or near, increasing performance. Note that polygon points needs different algorithm for clipping than polyline, so there's a seperate method for it.